curl --request POST \
--url https://api.example.com/cabinet/admin/landings/{landing_id}/toggle \
--header 'Authorization: Bearer <token>'{
"id": 123,
"slug": "<string>",
"title": {},
"is_active": true,
"display_order": 123,
"features": [
{
"icon": "",
"title": {},
"description": {}
}
],
"allowed_tariff_ids": [
123
],
"allowed_periods": {},
"payment_methods": [
{
"method_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"icon_url": "<string>",
"sort_order": 0,
"min_amount_kopeks": 123,
"max_amount_kopeks": 123,
"currency": "<string>",
"return_url": "<string>",
"sub_options": {}
}
],
"gift_enabled": true,
"subtitle": {},
"footer_text": {},
"custom_css": "<string>",
"meta_title": {},
"meta_description": {},
"discount_percent": 123,
"discount_overrides": {},
"discount_starts_at": "2023-11-07T05:31:56Z",
"discount_ends_at": "2023-11-07T05:31:56Z",
"discount_badge_text": {},
"background_config": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Toggle active/inactive state of a landing page.
curl --request POST \
--url https://api.example.com/cabinet/admin/landings/{landing_id}/toggle \
--header 'Authorization: Bearer <token>'{
"id": 123,
"slug": "<string>",
"title": {},
"is_active": true,
"display_order": 123,
"features": [
{
"icon": "",
"title": {},
"description": {}
}
],
"allowed_tariff_ids": [
123
],
"allowed_periods": {},
"payment_methods": [
{
"method_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"icon_url": "<string>",
"sort_order": 0,
"min_amount_kopeks": 123,
"max_amount_kopeks": 123,
"currency": "<string>",
"return_url": "<string>",
"sub_options": {}
}
],
"gift_enabled": true,
"subtitle": {},
"footer_text": {},
"custom_css": "<string>",
"meta_title": {},
"meta_description": {},
"discount_percent": 123,
"discount_overrides": {},
"discount_starts_at": "2023-11-07T05:31:56Z",
"discount_ends_at": "2023-11-07T05:31:56Z",
"discount_badge_text": {},
"background_config": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes